module StringUtils

  class ::String

    public
    # Return the first N characters in the string
    #
    # @api public
    # @param n [Integer] the number of characters to retrieve from the string
    # @return [String] the first N characters in the string
    # @example "example".take(2) # => "ex"
    def take(n=1)
      chars.to_a.take(n).join('')
    end

  end

end
